complexType "EquityValuation"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 5 elements
Defined: | globally in fpml-eq-shared-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 5 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (valuationDate | valuationDates)?, valuationTimeType?, valuationTime?, futuresPriceValuation?
</...>

Content Model Elements (5):

  futuresPriceValuation, valuationDate (defined in EquityValuation complexType), valuationDates, | valuationTime, valuationTimeType

All Direct / Indirect Based Elements (3):

  equityValuation, valuation, valuationRules

Known Usage Locations

- As direct type of elements (3):
  equityValuation, valuation, valuationRules

Annotation
A type for defining how and when an equity option is to be valued.
XML Source (w/o annotations (6); see within schema source)

<xsd:complexType name="EquityValuation"> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element name="valuationDate" type="AdjustableDateOrRelativeDateSequence"/> <xsd:element name="valuationDates" type="AdjustableRelativeOrPeriodicDates"/> </xsd:choice> <xsd:element minOccurs="0" name="valuationTimeType" type="TimeTypeEnum"/> <xsd:element minOccurs="0" name="valuationTime" type="BusinessCenterTime"/> <xsd:element minOccurs="0" name="futuresPriceValuation" type="xsd:boolean"/> <!--View Generation: SKIPPED optionsPriceValuation - Documentation--> <!--View Generation: SKIPPED numberOfValuationDates - Documentation--> <!--View Generation: SKIPPED dividendValuationDates - Documentation--> <!--View Generation: SKIPPED fPVFinalPriceElectionFallback - Documentation--> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 5/5)
futuresPriceValuation

  Type: | xsd:boolean, predefined, simple content

  The official settlement price as announced by the related exchange is applicable, in accordance with the ISDA 2002 definitions.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="futuresPriceValuation" type="xsd:boolean"/>

valuationDate

  Type: | AdjustableDateOrRelativeDateSequence, complex content

  The term "Valuation Date" is assumed to have the meaning as defined in the ISDA 2002 Equity Derivatives Definitions.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="valuationDate" type="AdjustableDateOrRelativeDateSequence"/>

valuationDates

  Type: | AdjustableRelativeOrPeriodicDates, complex content

  Specifies the interim equity valuation dates of a swap.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="valuationDates" type="AdjustableRelativeOrPeriodicDates"/>

valuationTime

  Type: | BusinessCenterTime, complex content

  The specific time of day at which the calculation agent values the underlying.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="valuationTime" type="BusinessCenterTime"/>

valuationTimeType

  Type: | TimeTypeEnum, simple content

  The time of day at which the calculation agent values the underlying, for example the official closing time of the exchange.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Close" | - | The official closing time of the exchange on the valuation date. See: http://www.FpML.org
  "Open" | - | The official opening time of the exchange on the valuation date. See: http://www.FpML.org
  "OSP" | - | The time at which the official settlement price is determined. See: http://www.FpML.org
  "SpecificTime" | - | The time specified in the element equityExpirationTime or valuationTime (as appropriate) See: http://www.FpML.org
  "XETRA" | - | The time at which the official settlement price (following the auction by the exchange) is determined by the exchange. See: http://www.FpML.org
  "DerivativesClose" | - | The official closing time of the derivatives exchange on which a derivative contract is listed on that security underlyer. See: http://www.FpML.org
  "AsSpecifiedInMasterConfirmation" | - | The time is determined as provided in the relevant Master Confirmation. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="valuationTimeType" type="TimeTypeEnum"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.